document.addEventListener('DOMContentLoaded', () => {
  const canvas = document.getElementById('networkCanvas');
  const ctx = canvas.getContext('2d');
  let scale = 1;

  function resizeCanvas() {
    canvas.width = canvas.offsetWidth;
    canvas.height = canvas.offsetHeight;
    drawTopology();
  }

  function drawTopology() {
    ctx.clearRect(0, 0, canvas.width, canvas.height);
    ctx.save();
    ctx.scale(scale, scale);
    
    // Draw network elements
    drawNetworks();
    drawRouters();
    drawInstances();
    drawConnections();
    
    ctx.restore();
  }

  function drawNetworks() {
    ctx.fillStyle = '#2196f3';
    ctx.strokeStyle = '#1976d2';
    // Add network drawing logic
  }

  function drawRouters() {
    ctx.fillStyle = '#ff9800';
    ctx.strokeStyle = '#f57c00';
    // Add router drawing logic
  }

  function drawInstances() {
    ctx.fillStyle = '#4caf50';
    ctx.strokeStyle = '#388e3c';
    // Add instance drawing logic
  }

  function drawConnections() {
    ctx.strokeStyle = '#90a4ae';
    ctx.lineWidth = 2;
    // Add connection drawing logic
  }

  document.getElementById('zoomInBtn').addEventListener('click', () => {
    scale *= 1.2;
    drawTopology();
  });

  document.getElementById('zoomOutBtn').addEventListener('click', () => {
    scale *= 0.8;
    drawTopology();
  });

  document.getElementById('refreshBtn').addEventListener('click', () => {
    drawTopology();
  });

  window.addEventListener('resize', resizeCanvas);
  resizeCanvas();
});